
DeadDrop - Feature #4

Implement USER ROLES

07/18/2023 12:50 AM - Sancho Fock

Status: Closed Start date: 07/28/2023

Priority: Normal Due date: 07/29/2023

Assignee: Sancho Fock % Done: 100%

Category: API Estimated time: 20:00 hours

Target version: 0.3.0   

Description

Read Write and owner. A Drop creator is automaticly owner. A Owner can invite other clients and assign a role

Related issues:

Precedes Feature #11: Implement Private secure Drops Backend Closed 10/03/2023 10/03/2023

Precedes Feature #8: Implement invites Client Closed 08/09/2023 08/09/2023

Precedes Feature #7: Implement invites Backend Closed 07/31/2023 08/06/2023

Follows Feature #36: Release V0.2.0 Closed 07/27/2023 07/27/2023

History

#1 - 07/18/2023 01:10 AM - Sancho Fock

- Precedes Feature #6: Implement Displays client added

#2 - 07/18/2023 11:38 AM - Sancho Fock

- Precedes Feature #5: Implement Displays API added

#3 - 07/18/2023 12:44 PM - Sancho Fock

- Precedes Feature #11: Implement Private secure Drops Backend added

#4 - 07/18/2023 12:54 PM - Sancho Fock

- Estimated time set to 20:00 h

#5 - 07/20/2023 02:07 AM - Sancho Fock

- Start date changed from 07/18/2023 to 07/31/2023

#6 - 07/20/2023 02:10 AM - Sancho Fock

- Precedes Feature #8: Implement invites Client added

#7 - 07/26/2023 11:47 PM - Sancho Fock

- Precedes Feature #7: Implement invites Backend added

#8 - 07/26/2023 11:48 PM - Sancho Fock

- Due date set to 07/27/2023

- Start date changed from 07/31/2023 to 07/27/2023

- Follows Feature #19: Encrypt local config files added

#9 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 07/27/2023 to 08/01/2023

#10 - 07/26/2023 11:59 PM - Sancho Fock

- Follows deleted (Feature #19: Encrypt local config files)

#11 - 07/26/2023 11:59 PM - Sancho Fock

- Due date changed from 08/01/2023 to 08/02/2023

- Start date changed from 07/27/2023 to 07/28/2023
- Follows Feature #36: Release V0.2.0 added

#12 - 07/27/2023 02:19 PM - Sancho Fock

- Status changed from New to In Progress

#13 - 07/27/2023 11:32 PM - Sancho Fock

- % Done changed from 0 to 70

#14 - 07/28/2023 11:39 PM - Sancho Fock

- Due date changed from 08/02/2023 to 07/29/2023

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#15 - 07/28/2023 11:45 PM - Sancho Fock

- Precedes deleted (Feature #5: Implement Displays API)

#16 - 07/28/2023 11:46 PM - Sancho Fock

- Precedes deleted (Feature #6: Implement Displays client)
